<div class="wrap about-wrap">
    <h1><?php _e('Plugin problem detected!',STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);?></h1>
    <div>
        <p><?php _e('Sorry, but for the correct work of the plugin you should check following issues below: ',STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);?></p>
    </div>
    <?php

    include_once(ABSPATH.'wp-admin/includes/plugin.php');

    $freeHDActivated = is_plugin_active(STG_CATCHERS_HELPDESK_NAME . '/' . STG_CATCHERS_HELPDESK_NAME . '.php');

    $addon2Activated = false;
    $hdOldVersion = $addon2OldVersion = false;
    $pluginData = $pluginData2 = array();
    if(defined('STG_CATCHERS_HELPDESK_ADDON2_NAME') && defined('STG_CATCHERS_HELPDESK_ADDON2_ROOT')) {
        $addon2Activated = is_plugin_active(STG_CATCHERS_HELPDESK_ADDON2_NAME . '/' . STG_CATCHERS_HELPDESK_ADDON2_NAME . '.php');

        $pluginFile = STG_CATCHERS_HELPDESK_ADDON2_ROOT . STG_CATCHERS_HELPDESK_ADDON2_NAME . ".php";
        $readmeFile = STG_CATCHERS_HELPDESK_ADDON2_ROOT . "README.txt";
        $pluginData2 = stgh_wc_updater_get_plugin_data($pluginFile, $readmeFile);

        if (version_compare($pluginData2["Version"], STG_CATCHERS_HELPDESK_ADDON6_VERSION, '<')) {
            $addon2OldVersion = true;
        }
    }

    $proHDActivated = is_plugin_active(STG_CATCHERS_HELPDESK_NAME_PRO . '/' . STG_CATCHERS_HELPDESK_NAME_PRO . '.php');

    if(defined('STG_HELPDESK_ROOT') && defined('STG_HELPDESK_NAME')) {
        $pluginFile = STG_HELPDESK_ROOT . STG_HELPDESK_NAME . ".php";
        $readmeFile = STG_HELPDESK_ROOT . "README.txt";
        $pluginData = stgh_wc_updater_get_plugin_data($pluginFile, $readmeFile);

        if (version_compare($pluginData["Version"], STG_CATCHERS_HELPDESK_ADDON6_VERSION, '<')) {
            $hdOldVersion = true;
        }
    }

    if($proHDActivated)
	    $plugin_name = STG_CATCHERS_HELPDESK_NAME_PRO;
    else
	    $plugin_name = STG_CATCHERS_HELPDESK_NAME;


    include_once(ABSPATH.'wp-admin/includes/plugin-install.php');

    $api = plugins_api( 'plugin_information', array(
        'slug' => wp_unslash( $plugin_name ),
        'is_ssl' => is_ssl(),
        'fields' => array()
    ) );
    $status = install_plugin_install_status( $api );
    $url = $status['url'];

    if(!$freeHDActivated && !$proHDActivated){
        if($url === false)
        {
            $plugin_file = $status['file'];
            $url = wp_nonce_url( 'plugins.php?action=activate&amp;plugin=' . $plugin_file . '&amp;plugin_status=&amp;paged=&amp;s=' , 'activate-plugin_' . $plugin_file );

            /** @noinspection PhpIncludeInspection */
            echo __('Attention, please! Catchers Helpdesk plugin is not activated!', STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="button button-primary button-large">%s</a>', $url, __('Activate Catchers Helpdesk plugin',STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME), false);
	        echo "<br/><br/>";
        }else {
            /** @noinspection PhpIncludeInspection */
            echo __('Attention, please! Catchers Helpdesk plugin is not installed or not activated!', STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url, __('Install and activate Catchers Helpdesk plugin', STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME), false);
	        echo "<br/><br/>";
        }
    }

    if(!$addon2Activated){
            $url2 = '//mycatchers.com/team_collaboration/';
            /** @noinspection PhpIncludeInspection */
            echo __('Attention, please! Catchers Helpdesk Team Collaboration Add-on plugin is not installed or not activated!', STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url2, __('Install and activate Catchers Helpdesk Team Collaboration Add-on plugin', STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME), false);
    }

    if ($hdOldVersion) {
        echo "<br/>";
        _e(sprintf('Invalid version (%s) Catchers Helpdesk plugin. Must be more than %s',$pluginData["Version"],STG_CATCHERS_HELPDESK_ADDON6_VERSION), STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);
        echo "<br/><br/>";
        echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url, __('Update Catchers Helpdesk plugin',STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME), false);
    }

    if ($addon2OldVersion) {
        echo "<br/>";
        $url2 = '//mycatchers.com/team_collaboration/';
        _e(sprintf('Invalid version (%s) Catchers Helpdesk Team Collaboration Add-on plugin. Must be more than %s',$pluginData2["Version"],STG_CATCHERS_HELPDESK_ADDON6_VERSION), STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME);
        echo "<br/><br/>";
        echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url2, __('Update Catchers Helpdesk Team Collaboration Add-on plugin',STG_CATCHERS_HELPDESK_ADDON6_TEXT_DOMAIN_NAME), false);
    }

    ?>
</div>