(function ($) {
    "use strict";

    $(function () {

        $('#stg_ticket_subject, #stgh-kb-search-s').on('click',function(){
            $(this).autocomplete("search");
        }).autocomplete({
            source: function (request, response) {
                window.term = request.term;
                $.getJSON(stghKbLocal.ajaxurl + "?callback=?&action=stgh-kbautocomplete", request, function (data) {
                    response($.map(data, function (item) {
                        return {
                            value: item.id,
                            label: item.label,
                            url: item.url
                        }
                    }));
                });
            },
            select: function (event, ui) {
                event.preventDefault();
                location.href = ui.item.url;
            },
            focus: function (event) {
                event.preventDefault();
            },
            open: function () {
                $('ul.ui-autocomplete').prepend('<li><div class="stgh-kb-list-header">'+stghKbLocal.sresult+' '+window.term+':</div></li>');
            },
            minLength: 3
        }).autocomplete("instance")._renderItem = function (ul, item) {

            return $("<li>")
                .append("<span class='stgh-kb-autoitems'>" + item.label + "</span>")
                .appendTo(ul);
        };

    });


}(jQuery));

