<?php
$sFormat = get_option('date_format');

switch( $sFormat ) {
    case 'F j, Y':
        //$dateFormat = 'MM dd, yy';
        $dateFormat = 'mm/dd/yy';
        $dateFormatP = 'm/d/Y';
        break;
    case 'Y/m/d':
        $dateFormat =  'yy/mm/dd';
        $dateFormatP =  'Y/m/d';
        break;
    case 'm/d/Y':
        $dateFormat = 'mm/dd/yy';
        $dateFormatP = 'm/d/Y';
        break;
    case 'd/m/Y':
        $dateFormat = 'dd/mm/yy';
        $dateFormatP = 'd/m/Y';
        break;
    default:
        $dateFormat = 'mm/dd/yy';
        $dateFormatP = 'm/d/Y';
        break;
}
$valueStart = date($dateFormatP, strtotime("-1 week"));;
$valueEnd = date($dateFormatP);

?>
<div class="wrap">
<h1 class="wp-heading-inline"><?php _e('Helpdesk metrics and Reports',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></h1>
<hr class="wp-header-end">
<h2 class="screen-reader-text">Filter posts list</h2>
<div id="stgh_import_not_finish" class="error"><?php _e('Tasks left to import: ',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?><span>123123</span></div>
<ul class="subsubsub stgh_date_period">
    <?php //_e('Choose period: ',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?>
    <li><a><span data-period="all"><?php _e('All dates',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span></a> |</li>
    <li><a><span data-period="year"><?php _e('Last year',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span></a> |</li>
    <li><a><span data-period="month"><?php _e('Last month',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span></a> |</li>
    <li><a><span data-period="week" class="<?php if($_REQUEST)?>current"><?php _e('Last week',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span></a> |</li>
    <li><a><span data-period="day"><?php _e('Today',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span></a> |</li>
    <li>
        <span id="stgh_custom_date"><?php _e('Customize: ', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?></span>
        <div id="stgh_custom_date_row">
            <?= "<input type='text' value='{$valueStart}'  dateformat='{$dateFormat}' name='stgh_report_date_start' id='stgh_report_date_start' class='datepicker reports_datepicker'/>"; ?>
            <?= "<input type='text' value='{$valueEnd}'  dateformat='{$dateFormat}' name='stgh_report_date_end' id='stgh_report_date_end' class='datepicker reports_datepicker'/>"; ?>
            <select title="<?php _e("Select category",STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME)?>" class="stgh-selects2" id="stgh_categories_filter" name="stgh_categories_filter" data-placeholder="<?php _e('All Categories', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME) ?>"></select>
            <input title="<?php _e('Build reports',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?>" name="filter_action" id="show-reports" class="button" value="Filter">
        </div>
            <!--<input value="Export" class="button" id="stgh-export-pdf" name="stgh-export-scv">-->
    </li>
</ul>
<?php if(isset($_GET['addccontrol']) && $_GET['addccontrol'] == 1):?>
    <div class="stgh_clear_cache">
        <?php _e('clear cache',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?>:&nbsp;&nbsp;
        <input title="<?php _e('clear cache',STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME);?>" name="stgh_clear_cache" id="stgh_clear_cache" type="checkbox" value="1">
    </div>
<?php endif;?>
<div class="stgh-report-result-container">
    <div class="stgh-report-result-row1">
        <div class="postbox stgh-report-result-tickets">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Tickets', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                    <div class="row1">
                        <div>
                            <div id="new_tickets_grow"></div>
                            <strong id="new_tickets"></strong><?php _e('New tickets', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div>
                            <div id="new_contact_grow"></div>
                            <strong id="new_contact"></strong><?php _e('New contacts', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div class="stgh_clear"></div>
                    </div>
                    <div class="row1">
                        <div>
                            <div id="total_replies_grow"></div>
                            <strong id="total_replies"></strong><?php _e('Total replies', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div>
                            <div id="closed_tickets_grow"></div>
                            <strong id="closed_tickets"></strong><?php _e('Closed tickets', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div class="stgh_clear"></div>
                    </div>
                    <div class="row1">
                        <div>
                            <div id="average_first_grow"></div>
                            <strong id="average_first"></strong><?php _e('Average first response time', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div>
                            <div id="average_closing_grow"></div>
                            <strong id="average_closing"></strong><?php _e('Average closing ticket time', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?>
                        </div>
                        <div class="stgh_clear"></div>
                    </div>
                    <div class="stgh_clear"></div>
                </div>
            </div>
        </div>

        <div class="postbox stgh-report-result-busiest">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Busiest time of day', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                    <canvas id="stgh-report-result-busiest" width="650px" height="200px"  ></canvas>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="stgh-report-result-container">
    <div class="stgh-report-result-row1">
        <div class="postbox stgh-report-result-opentickets">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Open tickets', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                    <canvas id="stgh-report-result-opentickets" width="450px"  height="200px"></canvas>
                    <div id="stgh-report-result-opentickets-legend"></div>
                    <div class="stgh_clear"></div>
                </div>
            </div>
        </div>
        <div class="postbox stgh-report-result-ticketchannel">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Ticket\'s channel', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                    <canvas id="stgh-report-result-ticketchannels"></canvas>
                    <div id="stgh-report-result-ticketchannels-legend"></div>
                    <div class="stgh_clear"></div>
                </div>
            </div>
        </div>
        <div class="postbox stgh-report-result-ticketcategories">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Ticket\'s category', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                    <canvas id="stgh-report-result-ticketcategories"></canvas>
                    <div id="stgh-report-result-ticketcategories-legend"></div>
                    <div class="stgh_clear"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="stgh-report-result-container">
    <div class="stgh-report-result-row1">
        <div class="postbox stgh-report-result-managers">
            <button type="button" class="handlediv">
                <span class="toggle-indicator" aria-hidden="true"></span>
            </button>
            <h2 class="hndle ui-sortable-handle"><span><?php _e('Helpdesk managers', STG_CATCHERS_HELPDESK_ADDON5_TEXT_DOMAIN_NAME); ?></span></h2>
            <div class="inside">
                <div class="main">
                </div>
            </div>
        </div>
    </div>
</div>
</div>


