<div class="wrap about-wrap">
    <h1><?php _e('Plugin problem detected!',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);?></h1>
    <div>
        <p><?php _e('Sorry, but for the correct work of the plugin you should check following issues below: ',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);?></p>
    </div>
    <?php

    $freeHDActivated = is_plugin_active(STG_CATCHERS_HELPDESK_NAME.'/'.STG_CATCHERS_HELPDESK_NAME.'.php');
    $proHDActivated = is_plugin_active(STG_CATCHERS_HELPDESK_NAME_PRO . '/' . STG_CATCHERS_HELPDESK_NAME_PRO . '.php');
    $addonDeps = Catchers_WC_Support::checkPluginDeps();

    if($proHDActivated)
        $plugin_name = STG_CATCHERS_HELPDESK_NAME_PRO;
    else
	    $plugin_name = STG_CATCHERS_HELPDESK_NAME;

    include_once(ABSPATH.'wp-admin/includes/plugin-install.php');

    $api = plugins_api( 'plugin_information', array(
        'slug' => wp_unslash( $plugin_name ),
        'is_ssl' => is_ssl(),
        'fields' => array()
    ) );
    $status = install_plugin_install_status( $api );
    $url = $status['url'];


    if(!$freeHDActivated && !$proHDActivated){
        if($url === false)
        {
            $plugin_file = $status['file'];
            $url = wp_nonce_url( 'plugins.php?action=activate&amp;plugin=' . $plugin_file . '&amp;plugin_status=&amp;paged=&amp;s=' , 'activate-plugin_' . $plugin_file );

            /** @noinspection PhpIncludeInspection */
            echo __('Attention, please! Catchers Helpdesk plugin is not activated!', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="button button-primary button-large">%s</a>', $url, __('Activate Catchers Helpdesk plugin',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);

        }else {
            /** @noinspection PhpIncludeInspection */
            echo __('Attention, please! Catchers Helpdesk plugin is not installed or not activated!', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url, __('Install and activate Catchers Helpdesk plugin', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);

        }
    }else{
        if (!$addonDeps) {
            $pluginFile = STG_HELPDESK_ROOT.STG_HELPDESK_NAME.".php";
            $readmeFile = STG_HELPDESK_ROOT."README.txt";
            $pluginData = stgh_wc_updater_get_plugin_data($pluginFile, $readmeFile);

            _e('Invalid version ('.$pluginData["Version"].') Catchers Helpdesk plugin. Must be more than 2.3.1', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url, __('Update Catchers Helpdesk plugin',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);

        }

    }



    $WCActivated = is_plugin_active('woocommerce/woocommerce.php');
    $plugin_name = 'woocommerce';

    $api = plugins_api( 'plugin_information', array(
        'slug' => wp_unslash( $plugin_name ),
        'is_ssl' => is_ssl(),
        'fields' => array()
    ) );
    $status = install_plugin_install_status( $api );
    $url = $status['url'];


    if(!$WCActivated){
        if($url === false)
        {
            $plugin_file = $status['file'];
            $url = wp_nonce_url( 'plugins.php?action=activate&amp;plugin=' . $plugin_file . '&amp;plugin_status=&amp;paged=&amp;s=' , 'activate-plugin_' . $plugin_file );
            echo "<br/><br/>";
            /** @noinspection PhpIncludeInspection */
            echo __('Woocommerce plugin is not activated!', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="button button-primary button-large">%s</a>', $url, __('Activate WooCommerce plugin',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);
        }else {
            echo "<br/><br/>";
            /** @noinspection PhpIncludeInspection */
            echo __('Woocommerce plugin is not installed!', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
            echo "<br/><br/>";
            echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="button button-primary button-large">%s</a>', $url, __('Install and activate WooCommerce plugin',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);
        }
    }


//    if(!is_plugin_active('woocommerce/woocommerce.php')){
//        $plugin_name2 = 'woocommerce';
//        $url2 = esc_url( network_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $plugin_name2 . '&TB_iframe=true&width=800&height=650' ) );
//
//        echo __('Woocommerce plugin is not activated!', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME);
//        echo "<br/><br/>";
//        echo sprintf('<!--suppress HtmlUnknownTarget --><a href="%s" class="thickbox button button-primary button-large">%s</a>', $url2, __('Install and activate WooCommerce plugin',STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME), false);
//    }
    ?>
</div>